Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1052428 - [abrt] mate-file-manager: button_data_file_changed(): caja killed by SIGABRT
Summary: [abrt] mate-file-manager: button_data_file_changed(): caja killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-file-manager
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1b51bb0b67419f14fc97a9a07d6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-13 19:45 UTC by Nivag
Modified: 2015-02-17 19:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:53:32 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (37.06 KB, text/plain)
2014-01-13 19:45 UTC, Nivag
no flags Details
File: cgroup (154 bytes, text/plain)
2014-01-13 19:45 UTC, Nivag
no flags Details
File: core_backtrace (26.96 KB, text/plain)
2014-01-13 19:45 UTC, Nivag
no flags Details
File: dso_list (10.45 KB, text/plain)
2014-01-13 19:45 UTC, Nivag
no flags Details
File: environ (3.36 KB, text/plain)
2014-01-13 19:45 UTC, Nivag
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-13 19:45 UTC, Nivag
no flags Details
File: maps (55.99 KB, text/plain)
2014-01-13 19:45 UTC, Nivag
no flags Details
File: open_fds (1.91 KB, text/plain)
2014-01-13 19:45 UTC, Nivag
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2014-01-13 19:46 UTC, Nivag
no flags Details
File: var_log_messages (7.70 KB, text/plain)
2014-01-13 19:46 UTC, Nivag
no flags Details

Description Nivag 2014-01-13 19:45:35 UTC
Version-Release number of selected component:
mate-file-manager-1.6.3-1.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        caja --no-desktop .
crash_function: button_data_file_changed
executable:     /usr/bin/caja
kernel:         3.12.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1011

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 button_data_file_changed at caja-pathbar.c:1859
 #5 _g_closure_invoke_va at gclosure.c:840
 #8 caja_file_emit_changed at caja-file.c:7407
 #9 caja_directory_emit_change_signals at caja-directory.c:809
 #10 emit_change_signals_for_all_files at caja-directory.c:259
 #11 g_hash_table_foreach at ghash.c:1526
 #16 g_settings_real_change_event at gsettings.c:288
 #17 ffi_call_unix64 at ../src/x86/unix64.S:76
 #18 ffi_call at ../src/x86/ffi64.c:522
 #19 g_cclosure_marshal_generic_va at gclosure.c:1550

Potential duplicate: bug 890651

Comment 1 Nivag 2014-01-13 19:45:40 UTC
Created attachment 849578 [details]
File: backtrace

Comment 2 Nivag 2014-01-13 19:45:42 UTC
Created attachment 849579 [details]
File: cgroup

Comment 3 Nivag 2014-01-13 19:45:45 UTC
Created attachment 849580 [details]
File: core_backtrace

Comment 4 Nivag 2014-01-13 19:45:50 UTC
Created attachment 849581 [details]
File: dso_list

Comment 5 Nivag 2014-01-13 19:45:52 UTC
Created attachment 849582 [details]
File: environ

Comment 6 Nivag 2014-01-13 19:45:54 UTC
Created attachment 849583 [details]
File: limits

Comment 7 Nivag 2014-01-13 19:45:56 UTC
Created attachment 849584 [details]
File: maps

Comment 8 Nivag 2014-01-13 19:45:58 UTC
Created attachment 849585 [details]
File: open_fds

Comment 9 Nivag 2014-01-13 19:46:00 UTC
Created attachment 849586 [details]
File: proc_pid_status

Comment 10 Nivag 2014-01-13 19:46:02 UTC
Created attachment 849587 [details]
File: var_log_messages

Comment 11 Wolfgang Ulbrich 2014-02-15 14:14:55 UTC
Can you describe a little more detailed what happend?
Did this issue occurs frequently ?

PS: using consolekit-daemon for session tracking is obsolete for mate since f19
We'e using systemd.

Comment 12 Nivag 2014-02-15 19:15:55 UTC
I am fairly sure that this has happened at least 6 times - can't be a 100% sure - but I noticed abrt mention 'CCpp' and it saying the issue had already been reported.

All I can remember is doing some GUI action on a directory window, when suddenly they all disappeared from that user.

The fact that I used --no-desktop means that I was most likely accessing caja from another user - for example via 'ssh -Y gavinxi@saturn' in a terminal when I was logged in as 'gavin' on the same host.

I would be more certain about the last para, except that due to the problem reported in https://bugzilla.redhat.com/show_bug.cgi?id=753882 - I had sometimes attempted to use 'caja --no-desktop .' to get caja up without success.

Comment 13 Wolfgang Ulbrich 2014-02-20 20:08:53 UTC
Thanks for info, backtrace looks same like https://bugzilla.redhat.com/show_bug.cgi?id=1000164, which i have re-asign to https://bugzilla.redhat.com/show_bug.cgi?id=753882

Comment 14 Fedora End Of Life 2015-01-09 21:06:26 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-02-17 19:53:32 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.